cURL
curl --request POST \ --url https://api.plurex.io/api/v1/hosts/query/ListAllOpenOrders \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --header 'X-API-SECRET: <api-key>' \ --data ' { "tenantId": "<string>", "cursor": "<string>" } '
{ "traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "serverTime": "2023-11-07T05:31:56Z", "items": [ { "accountId": "<string>", "orders": [ { "type": "Limit", "id": "<string>", "createdTimestamp": "2023-11-07T05:31:56Z", "side": "Buy", "instrument": { "base": "<string>", "quote": "<string>", "marketType": "<string>" }, "state": "Complete", "traded": { "type": "Batched", "baseTraded": "<string>", "quoteTraded": "<string>", "totalFees": [ { "asset": "<string>", "amount": "<string>" } ], "lastUpdated": "2023-11-07T05:31:56Z" }, "size": "<string>", "price": "<string>" } ] } ], "warnings": [ "<string>" ], "nextCursor": "<string>" }
Get all open orders for all accounts across all hosts
Successful response
Unique identifier for tracing.
RFC3339 timestamp of processing.
Show child attributes
Use this value in the next request to fetch the following page.